%define name ukopp
%define version 4.8
%define release %mkrel 1

Summary:  Backup with retention of file versions
Name:     %name
Version:  %version
Release:  %release
URL:      http://kornelix.squarespace.com/ukopp
License:  GPLv3
Group:    Archiving/Backup
Source0:  http://kornelix.squarespace.com/ukopp/%name-%version.tar.xz
BuildRoot: %_tmppath/%name-%version-%release-buildroot
BuildRequires: %{_lib}gtk+3.0-devel 
BuildRequires: make


%description
Copy files to (removable) disk. Incremental: copies only files 
that are newer than existing copies and is therefore quite fast. 
Specify directories or files to include or exclude at any level,
using a GUI. Save specifications in a job file for repeated use. 
Report differences between source and backup files at summary, 
directory, or file level. Optionally retain old file versions in
the backup location for a specified time or version count.
Optionally verify backup with bytewise comparison to source.

%prep
%setup -q

%build
%make PREFIX=/usr

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=%{buildroot}/usr

# menu entry
mkdir -p %buildroot%_datadir/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Ukopp
Categories=System;X-MandrivaLinux-System-Archiving-Backup;FileTransfer;
Type=Application
Terminal=false
Comment=Full and incremental backup with media verification
Exec=%{name}
Icon=%{name}
EOF

# menu icon
mkdir -p %buildroot%_datadir/pixmaps
install -m 644 icons/%name.png %buildroot%_datadir/pixmaps/%name.png

#remove
rm -rf $RPM_BUILD_ROOT%{_datadir}/applications/kornelix-ukopp.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/doc/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_datadir/pixmaps/%name.png
%{_datadir}/man/man1/ukopp.1.bz2

%changelog
* Thu Apr 24 2014 ghostbunny <ghosbunny at gmx do de> 4.8-1pclos2014
- 4.8

* Fri Mar 30 2012 Neal <nealbrks0 at gmail dot com> 4.3-1pclos2012
- process

* Thu Mar 29 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 4.3-1pclos2012
- 4.3
- added xz compression
- replaced gtk2 by gtk3
- added %{_datadir}/man/man1/ukopp.1.bz2
- added #remove

* Thu May 20 2010 slick50 <lxgator@gmail.com> 3.7.1-1pclos2010
- initial build


